# DirectoryBuildCache

abstract class DirectoryBuildCache : AbstractBuildCache

Configuration object for the local directory build cache.

#### Since

3.5

## Constructors

DirectoryBuildCache
Link copied to clipboard
constructor()

## Properties

directory
Link copied to clipboard
@get:Nullable
open var directory: Any

## Functions

isEnabled
Link copied to clipboard
open fun isEnabled(): Boolean
isPush
Link copied to clipboard
open fun isPush(): Boolean
setEnabled
Link copied to clipboard
open fun setEnabled(enabled: Boolean)
setPush
Link copied to clipboard
open fun setPush(push: Boolean)